<?php
    
class Photoslurp_PsWidget_Block_Adminhtml_Pswidget_Edit extends Mage_Adminhtml_Block_Widget_Form_Container
{
        public function __construct()
        {

                parent::__construct();
                $this->_objectId = "id";
                $this->_blockGroup = "pswidget";
                $this->_controller = "adminhtml_pswidget";
                $this->_updateButton("save", "label", Mage::helper("pswidget")->__("Save Item"));
                $this->_updateButton("delete", "label", Mage::helper("pswidget")->__("Delete Item"));

                $this->_addButton(
                    "saveandcontinue", array(
                    "label"     => Mage::helper("pswidget")->__("Save And Continue Edit"),
                    "onclick"   => "saveAndContinueEdit()",
                    "class"     => "save",
                    ), -100
                );



                $this->_formScripts[] = "

							function saveAndContinueEdit(){
								editForm.submit($('edit_form').action+'back/edit/');
							}
						";
        }

        public function getHeaderText()
        {
                if (Mage::registry("pswidget_data") && Mage::registry("pswidget_data")->getId()) {
                    return Mage::helper("pswidget")->__(
                        "Edit Item '%s'",
                        $this->htmlEscape(Mage::registry("pswidget_data")->getId())
                    );
                } else {
                     return Mage::helper("pswidget")->__("Add Item");
                }
        }
}